package com.qianhe.mapper;

import com.qianhe.domain.SjGfjsBfzbfdx;
import com.qianhe.domain.SjGfjsBfzwh;

import java.util.List;


/**
 * 三基帮扶组维护Mapper接口
 *
 * @author qianhe
 * @date 2024-08-31
 */
public interface SjGfjsBfzwhMapper
{
    /**
     * 查询三基帮扶组维护
     *
     * @param id 三基帮扶组维护主键
     * @return 三基帮扶组维护
     */
    public SjGfjsBfzwh selectSjGfjsBfzwhById(Long id);

    /**
     * 根据联系人查询三基帮扶组
     */
    public SjGfjsBfzwh selectbfz(String lxr);

    /**
     * 查询三基帮扶组维护列表
     *
     * @param sjGfjsBfzwh 三基帮扶组维护
     * @return 三基帮扶组维护集合
     */
    public List<SjGfjsBfzwh> selectSjGfjsBfzwhList(SjGfjsBfzwh sjGfjsBfzwh);

    /**
     * 新增三基帮扶组维护
     *
     * @param sjGfjsBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int insertSjGfjsBfzwh(SjGfjsBfzwh sjGfjsBfzwh);

    /**
     * 修改三基帮扶组维护
     *
     * @param sjGfjsBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int updateSjGfjsBfzwh(SjGfjsBfzwh sjGfjsBfzwh);

    /**
     * 删除三基帮扶组维护
     *
     * @param id 三基帮扶组维护主键
     * @return 结果
     */
    public int deleteSjGfjsBfzwhById(Long id);

    /**
     * 批量删除三基帮扶组维护
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsBfzwhByIds(Long[] ids);

    public List<Long> selectBfdxListByBfz(Long id);

    public int batchBfzBfdx(List<SjGfjsBfzbfdx> bfzBfdxList);

    public int deleteBfzBfdxById(Long id);

    public int deleteBfzBfdx(Long[] ids);

    public List<SjGfjsBfzbfdx> selectBfdxlist(SjGfjsBfzbfdx sjGfjsBfzbfdx);
}
